wkNodeMcu:
  type: Web
  title: NodeMCU
  date: 2025-08-15
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-8
    value: https://en.wikipedia.org/w/index.php?title=NodeMCU&oldid=1306030712

wkEsp32:
  type: Web
  title: ESP32
  date: 2025-11-2
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-8
    value: https://en.wikipedia.org/w/index.php?title=ESP32&oldid=1320113248

wkEspressif:
  type: Web
  title: Espressif Systems
  date: 2025-10-6
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-8
    value: https://en.wikipedia.org/w/index.php?title=Espressif_Systems&oldid=1315427960

wkFlutter:
  type: Web
  title: Flutter
  date: 2025-11-12
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-30
    value: https://en.wikipedia.org/w/index.php?title=Flutter_(software)&oldid=1321794260

wkGit:
  type: Web
  title: Git
  date: 2025-11-1
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-30
    value: https://en.wikipedia.org/w/index.php?title=Git&oldid=1319901866

wkGitea:
  type: Web
  title: Gitea
  date: 2025-11-17
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-30
    value: https://en.wikipedia.org/w/index.php?title=Gitea&oldid=1322631603

wkHttps:
  type: Web
  title: HTTPS
  date: 2025-11-30
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-30
    value: https://en.wikipedia.org/w/index.php?title=HTTPS&oldid=1324964055

wkTls:
  type: Web
  title: Transport Layer Security
  date: 2025-11-24
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-30
    value: https://en.wikipedia.org/w/index.php?title=Transport_Layer_Security&oldid=1323879251

wkC:
  type: Web
  title: C (programming language)
  date: 2025-11-26
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-30
    value: https://en.wikipedia.org/w/index.php?title=C_(programming_language)&oldid=1324211766

wkGcc:
  type: Web
  title: GNU Compiler Collection
  date: 2025-11-30
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-30
    value: https://en.wikipedia.org/w/index.php?title=GNU_Compiler_Collection&oldid=1324929423

wkDart:
  type: Web
  title: Dart (programming language)
  date: 2025-11-21
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-8
    value: https://en.wikipedia.org/w/index.php?title=Dart_(programming_language)&oldid=1323401675

wkX509:
  type: Web
  title: X.509
  date: 2025-11-11
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-29
    value: https://en.wikipedia.org/w/index.php?title=X.509&oldid=1321610537

wkDerEncoding:
  type: Web
  title: X.690
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  date: 2025-10-6
  url: 
    date: 2025-12-3
    value: https://en.wikipedia.org/w/index.php?title=X.690&oldid=1315457524#DER_encoding

wkOpenSSL:
  type: Web
  title: OpenSSL
  date: 2025-12-1
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-3
    value: https://en.wikipedia.org/w/index.php?title=OpenSSL&oldid=1325138239

wkMaterial:
  type: Web
  title: Material Design
  date: 2025-11-15
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-6
    value: https://en.wikipedia.org/w/index.php?title=Material_Design&oldid=1322252287

wkBuzzer:
  type: Web
  title: Buzzer
  date: 2025-11-13
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-10
    value: https://en.wikipedia.org/w/index.php?title=Buzzer&oldid=1321902450

wkNFC:
  type: Web
  title: Near-field communication
  date: 2025-11-5
  language: en
  publisher: มูลนิธิวิกิมีเดีย (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-10
    value: https://en.wikipedia.org/w/index.php?title=Near-field_communication&oldid=1320616102

androidJdkVersion:
  type: Web
  title: Java versions in Android builds
  publisher: Android Developers (ภายใต้สัญญาอนุญาต Apache License 2.0)
  language: en
  # Publishing date/Last updated
  date: 2025-11-21
  url:
    value: https://developer.android.com/build/jdks
    # Date of research
    date: 2025-11-26

sofFlutterMinSdk:
  type: Web
  title: Where is the value of "flutter.minSdkVersion" in Flutter project initialized?
  date: 2025-08-26
  language: en
  publisher: Stackoverflow (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-11-26
    value: https://stackoverflow.com/a/79746636

sofCDataModel:
  type: Web
  title: Are data models - ILP32 or LP64 decided by OS or the Hardware Architecture?
  date: 2020-10-14
  language: en
  publisher: Stackoverflow (ภายใต้ CC BY-SA 4.0)
  url:
    date: 2025-12-9
    value: https://stackoverflow.com/a/79746636

flInstallManually:
  type: Web
  title: Install Flutter manually
  date: 2025-10-28
  language: en
  publisher: Flutter (ภายใต้ CC BY 3.0 และ BSD License)
  url:
    date: 2025-12-6
    value: https://docs.flutter.dev/install/manual

flVsCode:
  type: Web
  title: Install Flutter using VS Code
  date: 2025-10-28
  language: en
  publisher: Flutter (ภายใต้ CC BY 3.0 และ BSD License)
  url:
    date: 2025-12-6
    value: https://docs.flutter.dev/install/with-vs-code

flLinuxDev:
  type: Web
  title: Set up Linux development
  date: 2025-9-25
  language: en
  publisher: Flutter (ภายใต้ CC BY 3.0 และ BSD License)
  url:
    date: 2025-12-6
    value: https://docs.flutter.dev/platform-integration/linux/setup

flLinuxBuild:
  type: Web
  title: Build Linux apps with Flutter
  date: 2025-9-5
  language: en
  publisher: Flutter (ภายใต้ CC BY 3.0 และ BSD License)
  url:
    date: 2025-12-6
    value: https://docs.flutter.dev/platform-integration/linux/building

archPkgs:
  type: Web
  title: Arch Linux - Package Search
  date: 2025-12-1
  language: en
  url:
    date: 2025-12-1
    value: https://archlinux.org/packages/

fedoraPkgs:
  type: Web
  title: Fedora Packages
  date: 2025-12-1
  language: en
  url:
    date: 2025-12-1
    value: https://packages.fedoraproject.org/

debianPkgs:
  type: Web
  title: Debian -- Packages
  date: 2025-12-1
  language: en
  url:
    date: 2025-12-1
    value: https://www.debian.org/distrib/packages

gitWindows:
  type: Web
  title: Git - Install for Windows
  date: 2025-11-30
  language: en
  url:
    date: 2025-12-1
    value: https://git-scm.com/install/windows

twMaterialYou:
  type: Post
  title: "The latest in Material Design is NOW available"
  date: 2021-10-28
  author: Material Design [@materialdesign]
  url:
    date: 2025-12-1
    value: https://x.com/materialdesign/status/1453409331697885192

cpprefCBasics:
  type: Web
  title: Declarations
  date: 2025-02-09
  publisher: cppreference.com (ภายใต้ CC BY-SA 3.0 Unported)
  url:
    date: 2025-12-08
    value: https://cppreference.com/w/c/language/declarations.html

cpprefATypes:
  type: Web
  title: Arithmetic types
  date: 2025-02-09
  publisher: cppreference.com (ภายใต้ CC BY-SA 3.0 Unported)
  url:
    date: 2025-12-09
    value: https://cppreference.com/w/c/language/arithmetic_types.html

ansiC:
  type: Book
  title: The ANSI C Programming Language
  page-total: 238
  author:
    - Brian W. Kernighan
    - Dennis M. Ritchie
  publisher: Prentice Hall
  language: en
  edition: ฉบับที่สอง (Second edition)
  date: 1988
  url: https://archive.org/details/the-ansi-c-programming-language-by-brian-w.-kernighan-dennis-m.-ritchie.org

ghEsp32Partition:
  type: Web
  title: default.csv
  date: 2024-4-15
  url:
    date: 2025-12-9
    value: https://github.com/espressif/arduino-esp32/blob/2ede5ac10923afd1e3a42ce1fb41930a9de05d16/tools/partitions/default.csv
